Robotsystem of the Robot Group Leipzig: Inspectable Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Inspectable Class Reference

Interface for inspectable objects. More...

`#include <inspectable.h>`

Inherited by AbstractController, and AbstractWiring.

Inheritance diagram for Inspectable:

[legend]
List of all members.

## Public Types
typedef std::string | iparamkey
typedef double | iparamval
typedef std::list< iparamkey > | iparamkeylist
typedef std::list< iparamval > | iparamvallist
typedef Inspectable::ILayer | ILayer
typedef Inspectable::IConnection | IConnection
typedef std::list< ILayer > | ilayerlist
typedef std::list< IConnection > | iconnectionlist
## Public Member Functions
virtual | ~Inspectable ()
virtual iparamkeylist | getInternalParamNames () const =0
| The list of the names of all internal parameters given by getInternalParams().
virtual iparamvallist | getInternalParams () const =0
virtual ilayerlist | getStructuralLayers () const
| Specifies which parameter vector forms a structural layer (in terms of a neural network) The ordering is important.
virtual iconnectionlist | getStructuralConnections () const
| Specifies which parameter matrix forms a connection between layers (in terms of a neural network) The orderning is not important.
## Classes
struct | IConnection
struct | ILayer
struct | matchName
| nice predicate function for finding a Layer with its vectorname More...

## Detailed Description

Interface for inspectable objects.

That means that one can read out some internal parameters indentified by string keys

## Member Typedef Documentation

typedef struct Inspectable::IConnection IConnection

typedef std::list<IConnection> iconnectionlist

typedef struct Inspectable::ILayer ILayer

typedef std::list<ILayer> ilayerlist

typedef std::string iparamkey

typedef std::list<iparamkey> iparamkeylist

typedef double iparamval

typedef std::list<iparamval> iparamvallist

## Constructor & Destructor Documentation

virtual ~Inspectable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iparamkeylist getInternalParamNames | ( |  | ) | const`[pure virtual]`

The list of the names of all internal parameters given by getInternalParams().

The naming convention is "v[i]" for vectors and "A[i][j]" for matrices, where i, j start at 0.

Returns:
  : list of keys

Implemented in InvertMotorNStep, InvertMotorSpace, InvertNChannelController, SineController, AbstractWiring, and One2OneWiring.

virtual iparamvallist getInternalParams | ( |  | ) | const`[pure virtual]`

Returns:
  : list of values

Implemented in InvertMotorNStep, InvertMotorSpace, InvertNChannelController, SineController, AbstractWiring, and One2OneWiring.

Examples:
  directconnect/directconnect.cpp.

virtual iconnectionlist getStructuralConnections | ( |  | ) | const`[inline, virtual]`

Specifies which parameter matrix forms a connection between layers (in terms of a neural network) The orderning is not important.

Returns:
  : list of layer names with dimension

Reimplemented in InvertMotorNStep, InvertMotorSpace, and InvertNChannelController.

virtual ilayerlist getStructuralLayers | ( |  | ) | const`[inline, virtual]`

Specifies which parameter vector forms a structural layer (in terms of a neural network) The ordering is important.

The first entry is the input layer and so on.

Returns:
  : list of layer names with dimension

Reimplemented in InvertMotorNStep, InvertMotorSpace, and InvertNChannelController.

The documentation for this class was generated from the following file:

- inspectable.h